Conway's Game of Life
=====================

Das SPiCboard agiert als zellulärer Automat um das sogenannte [Spiel des Lebens](https://de.wikipedia.org/wiki/Conways_Spiel_des_Lebens) von [John Conway](https://de.wikipedia.org/wiki/John_Horton_Conway) zu simulieren.

Ablauf
------

Jeder Pixel stellt eine Zelle da, die entweder lebendig (weiß) oder tot (schwarz) sein kann. Der Zustand kann sich mit jeder nachfolgenden Generation ändern, was von den acht benachbarten Zellen abhängt. Dabei ist das Spielfeld Torus-förmig, d.h. eine Zelle am oberen Rand ist mit der Zelle am unteren Rand benachbart, analog linker und rechter Rand.

Im ursprünglichen Regelwerk wird eine tote mit exakt drei lebenden Nachbarzellen zum Leben erweckt, während Zellen mit weniger als zwei Nachbarn an Einsamkeit oder mit mehr als drei Nachbarn an der Überbevölkerung sterben.

Neben dem originalen Regelwerk können auch weitere bekannte Regelwerke ausgewählt werden oder komplett eigene erstellt werden.

Zudem gibt es Einstellungsmöglichkeiten für die Ausgangsgeneration: Neben einer zufälligen Anordnung kann auch das FAU-Logo oder das Startbild gewählt werden.

Mit den Taster kann die Simulation pausiert (`BUTTON1`/`PD3`) oder abgebrochen werden (`BUTTON0`/`PD2`) - ggf. ist ein längeres Drücken notwendig, da diese Tasten nicht über Interrupts abgefragt werden!

Die LEDs visualisieren die Bevölkerung (= Anzahl an lebenden Zellen).

![Startbildschirm](./screenshot/gameoflife-1.png)
![Ausgangsstellung](./screenshot/gameoflife-2.png)
![Am Ende eines Spiels](./screenshot/gameoflife-3.png)
